| Home | Libraries | People | FAQ | More

##### any

###### Description

A metafunction returning the result type of `any`.

###### Synopsis

    template<
        typename Sequence,
        typename F
        >
    struct any
    {
        typedef bool type;
    };

Table 1.56. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`F` | A model of unary Polymorphic Function Object | Operation's argument

###### Expression Semantics

    result_of::any<Sequence, F>::type

Return type: `bool`.

Semantics: Returns the return type of `any` given a sequence of type `Sequence` and a unary Polymorphic Function Object of type `F`. The return type is always `bool`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/query/any.hpp>
    #include <boost/fusion/include/any.hpp>